%define upstream_name	 DateTime
%define upstream_version 1.66

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      3

Summary:    A date and time object in Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://datetime.perl.org/
Source0:    https://cpan.metacpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Check) >= 0.11.0
BuildRequires: perl(CPAN::Meta::Requirements)
BuildRequires: perl(Carp)
BuildRequires: perl(DateTime::Locale) >= 1.60.0
BuildRequires: perl(DateTime::TimeZone) >= 2.440.0
BuildRequires: perl(Dist::CheckConflicts) >= 0.20.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(POSIX)
BuildRequires: perl(Params::ValidationCompiler) >= 0.260.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Specio) >= 0.500.0
BuildRequires: perl(Specio::Declare)
BuildRequires: perl(Specio::Exporter)
BuildRequires: perl(Specio::Library::Builtins)
BuildRequires: perl(Specio::Library::Numeric)
BuildRequires: perl(Specio::Library::String)
BuildRequires: perl(Specio::Subs)
BuildRequires: perl(Storable)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Warnings) >= 0.5.0
BuildRequires: perl(Test::Without::Module)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(XSLoader)
BuildRequires: perl(integer)
BuildRequires: perl(namespace::autoclean) >= 0.190.0
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildRequires: perl(warnings::register)
BuildRequires: perl-devel
Provides:   perl(DateTimePP)
Provides:   perl(DateTimePPExtra)

%{?perl_default_filter}

%description
DateTime is a class for the representation of date/time combinations, and is
part of the Perl DateTime project.

It represents the Gregorian calendar, extended backwards in time before its
creation (in 1582). This is sometimes known as the "proleptic Gregorian
calendar". In this calendar, the first day of the calendar (the epoch), is the
first day of year 1, which corresponds to the date which was (incorrectly)
believed to be the birth of Jesus Christ.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc CREDITS Changes INSTALL LICENSE META.json META.yml MYMETA.yml TODO
%{perl_vendorarch}/DateTime*
%{perl_vendorarch}/auto/*
%{_mandir}/*/*

%changelog
* Wed Jul 02 2025 umeabot <umeabot> 3:1.660.0-2.mga10
+ Revision: 2236086
- Mageia 10 Mass Rebuild

* Thu Feb 20 2025 tv <tv> 3:1.660.0-1.mga10
+ Revision: 2149975
- update to 1.66

* Fri Aug 23 2024 tv <tv> 3:1.650.0-3.mga10
+ Revision: 2089255
- Rebuild for perl-5.40

* Thu Nov 30 2023 tv <tv> 3:1.650.0-2.mga10
+ Revision: 2011611
- Rebuild for perl-5.38

* Wed Nov 08 2023 tv <tv> 3:1.650.0-1.mga10
+ Revision: 2005170
- update to 1.65

* Sat Oct 28 2023 tv <tv> 3:1.630.0-1.mga10
+ Revision: 2002454
- update to 1.63

* Thu Oct 27 2022 tv <tv> 3:1.590.0-1.mga9
+ Revision: 1899628
- update to 1.59

* Tue Jun 07 2022 umeabot <umeabot> 3:1.580.0-2.mga9
+ Revision: 1861775
- Rebuild for Perl 5.36

* Tue Apr 19 2022 tv <tv> 3:1.580.0-1.mga9
+ Revision: 1851552
- update to 1.58

* Thu Mar 17 2022 umeabot <umeabot> 3:1.570.0-2.mga9
+ Revision: 1796952
- Mageia 9 Mass Rebuild

* Fri Mar 04 2022 tv <tv> 3:1.570.0-1.mga9
+ Revision: 1788352
- update to 1.57

* Mon Dec 27 2021 tv <tv> 3:1.550.0-1.mga9
+ Revision: 1764459
- update to 1.55

* Mon May 24 2021 umeabot <umeabot> 3:1.540.0-2.mga9
+ Revision: 1726542
- Rebuild for perl 5.34

* Sat Dec 05 2020 tv <tv> 3:1.540.0-1.mga8
+ Revision: 1652741
- update to 1.54

* Tue Nov 10 2020 tv <tv> 3:1.530.0-1.mga8
+ Revision: 1644188
- update to 1.53

* Wed Jun 17 2020 umeabot <umeabot> 3:1.520.0-2.mga8
+ Revision: 1594405
- Rebuild for perl 5.32

* Sun Mar 01 2020 tv <tv> 3:1.520.0-1.mga8
+ Revision: 1552496
- update to 1.52

* Sat Feb 15 2020 umeabot <umeabot> 3:1.510.0-3.mga8
+ Revision: 1529007
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Aug 26 2019 tv <tv> 3:1.510.0-2.mga8
+ Revision: 1432894
- rebuild with perl-5.30

* Mon Apr 22 2019 tv <tv> 3:1.510.0-1.mga7
+ Revision: 1394705
- update to 1.51

* Fri Sep 21 2018 umeabot <umeabot> 3:1.500.0-3.mga7
+ Revision: 1292734
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 pterjan <pterjan> 3:1.500.0-2.mga7
+ Revision: 1247449
- Rebuild for perl 5.28

* Thu Aug 02 2018 tv <tv> 3:1.500.0-1.mga7
+ Revision: 1246881
- update to 1.50

* Tue May 22 2018 tv <tv> 3:1.490.0-1.mga7
+ Revision: 1231460
- update to 1.49

* Thu Mar 29 2018 tv <tv> 3:1.480.0-1.mga7
+ Revision: 1213422
- update to 1.48

* Thu Feb 15 2018 tv <tv> 3:1.460.0-1.mga7
+ Revision: 1201422
- update to 1.46

* Sat Dec 30 2017 tv <tv> 3:1.450.0-1.mga7
+ Revision: 1188010
- update to 1.45

* Mon Oct 02 2017 tv <tv> 3:1.440.0-3.mga7
+ Revision: 1163878
- rebuild with fixed rpm for missing autodeps

* Fri Sep 15 2017 tv <tv> 3:1.440.0-2.mga7
+ Revision: 1154352
- BR perl(CPAN::Meta::Check) for testsuite
- new release

* Thu Aug 31 2017 pterjan <pterjan> 3:1.260.0-4.mga7
+ Revision: 1149608
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 3:1.260.0-3.mga7
+ Revision: 1126574
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 3:1.260.0-2.mga6
+ Revision: 1025053
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 3:1.260.0-1.mga6
+ Revision: 1001792
- update to 1.26

* Sun Mar 13 2016 shlomif <shlomif> 3:1.250.0-1.mga6
+ Revision: 989811
- update to 1.25

* Fri Feb 12 2016 umeabot <umeabot> 3:1.210.0-2.mga6
+ Revision: 957094
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 3:1.210.0-1.mga6
+ Revision: 891286
- update to 1.21

* Mon Jul 06 2015 sander85 <sander85> 3:1.200.0-1.mga6
+ Revision: 851949
- update to 1.20

* Fri Jun 26 2015 tv <tv> 3:1.190.0-2.mga6
+ Revision: 844805
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 3:1.190.0-1.mga6
+ Revision: 840618
- New version 1.19 + Rebuild for the new perl

* Sun Oct 19 2014 umeabot <umeabot> 3:1.120.0-5.mga5
+ Revision: 788886
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 3:1.120.0-4.mga5
+ Revision: 745798
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 3:1.120.0-3.mga5
+ Revision: 735528
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 3:1.120.0-2.mga5
+ Revision: 684265
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 sander85 <sander85> 3:1.120.0-1.mga5
+ Revision: 670615
- update to 1.12

* Tue Jun 03 2014 jquelin <jquelin> 3:1.100.0-2.mga5
+ Revision: 632224
- perl 5.20.0 rebuild

* Tue Jun 03 2014 tv <tv> 3:1.100.0-1.mga5
+ Revision: 632110
- rebuild for new perl

* Tue May 06 2014 jquelin <jquelin> 2:1.100.0-1.mga5
+ Revision: 620525
- update to 1.10

* Thu Mar 13 2014 jquelin <jquelin> 2:1.80.0-1.mga5
+ Revision: 602886
- update to 1.08

* Mon Feb 10 2014 jquelin <jquelin> 2:1.70.0-1.mga5
+ Revision: 588354
- update to 1.07

* Sat Oct 19 2013 umeabot <umeabot> 2:1.30.0-2.mga4
+ Revision: 526321
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 2:1.30.0-1.mga4
+ Revision: 436621
- update to 1.03

* Wed May 29 2013 tv <tv> 2:0.780.0-3.mga4
+ Revision: 430107
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 2:0.780.0-2.mga3
+ Revision: 365547
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2:0.780.0-1.mga3
+ Revision: 342037
- update to 0.78

* Thu Sep 27 2012 jquelin <jquelin> 2:0.770.0-1.mga3
+ Revision: 298748
- update to 0.77

* Wed Jul 04 2012 jquelin <jquelin> 2:0.760.0-1.mga3
+ Revision: 267305
- update to 0.76

* Mon Jun 18 2012 kharec <kharec> 2:0.750.0-1.mga3
+ Revision: 261536
- update to 0.75

* Tue Jun 05 2012 jquelin <jquelin> 2:0.740.0-1.mga3
+ Revision: 254803
- update to 0.74

* Wed May 30 2012 jquelin <jquelin> 2:0.720.0-2.mga3
+ Revision: 250488
- rebuild for perl 5.16

* Mon Jan 09 2012 jquelin <jquelin> 2:0.720.0-1.mga2
+ Revision: 193797
- update to 0.72

* Fri Jun 17 2011 jquelin <jquelin> 2:0.700.0-1.mga2
+ Revision: 108813
- update to 0.70

* Sat Jun 11 2011 sander85 <sander85> 2:0.660.0-2.mga2
+ Revision: 104141
- perl 5.14

* Sun Jan 23 2011 jquelin <jquelin> 2:0.660.0-1.mga1
+ Revision: 34819
- mageia build
- imported package perl-DateTime

